Bug 844114 - [abrt] rhythmbox-2.97-1.fc17: gst_structure_copy: Process /usr/libexec/rhythmbox-metadata was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: gst_structure_copy: Process /usr/libexec/rhythm...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:22f8eadfdbe37f17dfd6caa9601...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 21:49 EDT by Andres
Modified: 2013-07-31 16:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.84 KB, text/plain)
2012-07-28 21:49 EDT, Andres
no flags Details
File: maps (36.22 KB, text/plain)
2012-07-28 21:49 EDT, Andres
no flags Details
File: dso_list (7.72 KB, text/plain)
2012-07-28 21:49 EDT, Andres
no flags Details

  None (edit)
Description Andres 2012-07-28 21:49:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/rhythmbox-metadata unix:tmpdir=/tmp
crash_function: gst_structure_copy
executable:     /usr/libexec/rhythmbox-metadata
kernel:         3.4.6-2.fc17.x86_64
pid:            6116
time:           Sun 29 Jul 2012 12:22:06 PM CDT
uid:            1000
username:       andres
xsession_errors: 

backtrace:      Text file, 33631 bytes
dso_list:       Text file, 7908 bytes
maps:           Text file, 37091 bytes

build_ids:
:47d255b3efe10ffa1b295b5fed7836b041c22968
:44ea6073438ccd1d90d33a1423f1967d0e99486a
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:f69712fe393313f44607679e934bf5a67f39ec50
:0fda607514427974d46c43bae571231ee1a29941
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:e0c652fdd17615b7d06fe220299350fd2e6b091f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:57a495896f3e0260ed954f08cee287de18d05d67
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:999c6a40954a490f10496b3a9aac8346fbfd7e92
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:b24a07cad6dd5e7821b2150e19a9c839d12ae63e
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:e91010b497ec024178c36f4365b21f668bada0ca
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:d0d8ca3578df902204c6a0a28044abe1f8d1ab69
:1d4df97fa6024b097b634a272447243c95c26d85
:f4c064df8745dff15466d705fb049138f9a5c949
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:91e16f28026c350d3006aea402840a2b5b9e1692
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:54a5cc118d928470da13565de8592b664a9868e0
:71bdc6aee533cceb4fc3849037d62c59c32c6114
:63651cdc0224824a9c9324c77c3b5887378e871d
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:c9a23331920f772e1b549a328e803879d98b3437
:c4ec0971b2dcee71aaf8374975474054245fea00
:3596e33b33a0ac83e7c3218b687e1458c7765225
:1529371af6e2501b208b7e0d967f4e9823500896
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:4891a49bcc258a0853d148f63b011de5ee32fca3
:0008a6c4028b3826f8905324c770e7aa450e5d3b
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:9c4eb91cdfa7fedaa18d33d540655f5ee5502532
:d804f8ee47797da9213a92f00cd095ecada8d79f
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:113d32f002d1119cd3b6a249c1c5b76e86b7a770
:521a311f55787cb8cd5db064eac224a81562972b
:7c35310fc506498c612d5d982ab03becc4b4817c
:fed2a702224a81d0494632864cb4ec1d149d5315
:132089ec8d85fd51ea7ae1f518c6db7bf4d62219
:929d271f51370434d6e9f63b74694fb424470462
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:7d982b85513a02a6823da80f27b7a8e9c92e91a8
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:67792c148d2b8f13f6732c9367e926c26d7376c5
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:8883675a02b466547a122a9117742c5771456644
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:9c57b3d9b9c0ab3c095df218c8c5d38b1788d934
:8f7c190397d7c1f617e66f18f759714662b60367
:9303b51b9254f2b7d1db7a4fc059cd3dcf7c4201
:04a18f0b070dc9af14c884d821d646480ef39d83
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:9a6ce45dce3cc0a6552fdbc8f30da5e3f2807178
:726a299098b7695fc69d788f6b19468810c1ba6e
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/andres/6

core_backtrace:
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x77108 gst_structure_copy libgstreamer-0.10.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xc775 - libgobject-2.0.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x914df - libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x915d0 - libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x7717a gst_structure_copy libgstreamer-0.10.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xc7c0 - libgobject-2.0.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x75fbd - libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x77abc gst_structure_id_set libgstreamer-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x150ec - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x15189 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x14ff4 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x151d5 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x154cd - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x16a6c gst_discoverer_discover_uri libgstpbutils-0.10.so.0 -
:9c4eb91cdfa7fedaa18d33d540655f5ee5502532 0x9c4f rb_metadata_load [exe] -
:9c4eb91cdfa7fedaa18d33d540655f5ee5502532 0x888f _start [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=6
:HOSTNAME=andres.desktop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/andres/keyring-c2HhqM
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=andres
:USERNAME=andres
:MAIL=/var/spool/mail/andres
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/andres/.local/bin:/home/andres/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/andres
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2299
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/andres
:SHLVL=1
:LOGNAME=andres
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1kJgi1nCFz,guid=36d0ddbd01d69a2660782cdf000005d0
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/andres
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-andres-SmPnUR/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2301,unix/unix:/tmp/.ICE-unix/2301
:SSH_AUTH_SOCK=/run/user/andres/keyring-c2HhqM/ssh
:GPG_AGENT_INFO=/run/user/andres/keyring-c2HhqM/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=6064
:PULSE_PROP_media.role=music

event_log:
:2012-07-28-20:48:47> Analyzing coredump 'coredump'
:2012-07-28-20:48:47  All debuginfo files are available
:2012-07-28-20:48:47  Generating backtrace
:2012-07-28-20:48:47  Backtrace is generated and saved, 33631 bytes
:2012-07-28-20:48:57> Element 'xsession_errors' saved
:2012-07-28-20:48:58> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63209                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63209                63209                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:pipe:[810249]
:pos:	0
:flags:	01
:2:/home/andres/.xsession-errors
:pos:	1855904
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[807454]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[807455]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:/run/media/andres/Storage/iTunes/iTunes Media/Music/Rick Ross/Deeper Than Rap/01 Cigar Music (I Do It).mp3
:pos:	81260
:flags:	0100000
:10:socket:[807467]
:pos:	0
:flags:	04002
:11:socket:[807468]
:pos:	0
:flags:	04002

smolt_data:
:
:
:General
:=================================
:UUID: 82275f56-b73b-490a-b832-819c03a038c2
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6415.89
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X6 1090T Processor
:CPU Stepping: 0
:CPU Family: 16
:CPU Model Num: 10
:Number of CPUs: 6
:CPU Speed: 3200
:System Memory: 7986
:System Swap: 8223
:Vendor: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7576 1.0
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:38406:4130:38401) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(4098:17296:5218:30070) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4098:43656:5963:43656) pci, snd_hda_intel, MULTIMEDIA, Barts HDMI Audio [Radeon HD 6800 Series]
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5218:30070) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:38403:4130:38401) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4358:13315:5218:22381) pci, firewire_ohci, FIREWIRE, VT6315 Series Firewire Controller
:(4098:17308:5218:30070) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5218:30070) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:5218:30070) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5218:30070) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5218:30070) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5218:30070) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:26425:5963:57716) pci, radeon, VIDEO, Barts PRO [ATI Radeon HD 6800 Series]
:(4098:17303:5218:30070) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5218:30070) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5218:30070) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5218:30070) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5218:30070) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38405:4130:38401) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_andres-lv_root / ext4 4096 4096 5258975 3928500 3875835 1318912 1178927 1178927
:/dev/sdb1 /boot ext4 1024 1024 508644 423207 397607 128016 127658 127658
:/dev/mapper/vg_andres-lv_home /home ext4 4096 4096 8105940 4589112 4182789 2031616 2010726 2010726
:/dev/sdc1 WITHHELD fuseblk 4096 4096 48839679 48323736 48323736 193360480 193360399 193360399
:/dev/sda1 WITHHELD fuseblk 4096 4096 488378111 285771119 285771119 1143215548 1143118858 1143118858
:

var_log_messages:
:Jul 29 12:20:51 andres abrt[6112]: Saved core dump of pid 6083 (/usr/libexec/rhythmbox-metadata) to /var/spool/abrt/ccpp-2012-07-29-12:20:51-6083 (41873408 bytes)
:Jul 29 12:22:06 andres abrt[6166]: Saved core dump of pid 6116 (/usr/libexec/rhythmbox-metadata) to /var/spool/abrt/ccpp-2012-07-29-12:22:06-6116 (42536960 bytes)
Comment 1 Andres 2012-07-28 21:49:24 EDT
Created attachment 600973 [details]
File: backtrace
Comment 2 Andres 2012-07-28 21:49:25 EDT
Created attachment 600974 [details]
File: maps
Comment 3 Andres 2012-07-28 21:49:27 EDT
Created attachment 600975 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 16:40:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:52:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.